
[OPTIONS]
.Version = 2
.DEscale = 0.2
.DEoption = 2
.RStop = 1024
.SIpower = 2 
.Double Scale = 2 #-24
.Boxscale Min R = 0.5 #-16
[CODE]
558BEC56538B750889C38B7630D9E8DD03D9C0D8E2D9E1D8C1D9C9D8C2D9E1DE
E1DD02D9C0D8E3D9E1D8C1D9C9D8C3D9E1DEE1DD01D9C0D8E4D9E1D8C1D9C9D8
C4D9E1DEE1D9C0D8C9D9C2D8CBDEC1D9C3D8CCDEC1DC56E0DFE0D0EC7307DDD8
DD46E8EB16D9E8D8D1DFE0D0EC7207DDD8DC7EF0EB05DED9DD46F0DD4108D8C9
DD5908DCCBDCCADEC9DD19DD1ADD1BDDD889D85B5E5DC20800
[END]

The amazing box formula without adding the C component.
Use with other formulas in combination.

const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_8 = z.x;
    v4_f = z.x;
    v2_15 = fabsl(v4_f - 1.0) # bp+15;
    v4_1f = fabsl(v4_f + 1.0) - (v2_15 + v4_f);
    v2_27 = fabsl(z.y - 1.0) # bp+27;
    v4_31 = fabsl(z.y + 1.0) - (v2_27 + z.y) # bp+31;
    zz2 = fabsl(z.z - 1.0) # bp+39;
    v4_43 = fabsl(z.z + 1.0) - (v2_39 + z.z) # bp+43;
    st3_global_2d_to_2d_local = v4_1f * v4_1f + v4_31 * v4_31 + v4_43 * v4_43 # st3;
    v1_58 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+58;
    z.x = z.x & -0x10000 | v1_58 & -0xff01 | v1_58 / 2 & 0x7f00;
    if v1_58 & 256 == 0:;
        v1_69 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+69;
        z.x = z.x & -0x10000 | v1_69 & -0xff01 | v1_69 / 2 & 0x7f00;
        if v1_69 & 256 == 0:;
            pass;
    else:;
        # 0x5e;
        st3_global_2d_to_2d_local = *((arg1[48] - 24));
    v3_7b = z.z + 8;
    *v3_7b = st3_global_2d_to_2d_local * *v3_7b;
    *z.z = st3_global_2d_to_2d_local * v4_43;
    *z.y = st3_global_2d_to_2d_local * v4_31;
    *v0_8 = v4_1f * st3_global_2d_to_2d_local;
    z.x = v0_8;
    return v0_8;


	}
	
	
	const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    global z.x;
    v0_8 = z.x;
    z.x = z.x;
    zx2 = fabsl(z.x - 1.0) # bp+15;
    zx3 = fabsl(z.x + 1.0) - (zx2 + z.x);
    zy2 = fabsl(z.y - 1.0) # bp+27;
    zy3 = fabsl(z.y + 1.0) - (zy2 + z.y) # bp+31;
    zz2 = fabsl(z.z - 1.0) # bp+39;
    zz3 = fabsl(z.z + 1.0) - (zz2 + z.z) # bp+43;
    r2 = zx3 * zx3 + zy3 * zy3 + zz3 * zz3 # st3;
    fStatus = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+58;
    z.x = z.x & -0x10000 | fStatus & -0xff01 | fStatus / 2 & 0x7f00;
    if fStatus & 256 == 0:;
        v1_69 = __asm_fnstsw(fpsw_global_2d_to_2d_local) # bp+69;
        z.x = z.x & -0x10000 | v1_69 & -0xff01 | v1_69 / 2 & 0x7f00;
        if v1_69 & 256 == 0:;
            pass;
    else:;
        # 0x5e;
        r2 = *((arg1[48] - 24));
    v3_7b = z.z + 8;
    *v3_7b = r2 * *v3_7b;
    *z.z = r2 * zz3;
    *z.y = r2 * zy3;
    *v0_8 = zx3 * r2;
    z.x = v0_8;
    return v0_8;


	}
